
package de.ivu.elect.business.niederschrift.control;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.boundary.WahldurchfuehrungsgebietDAO;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.business.niederschrift.control.AbstractNiederschriftCreate;
import de.ivu.elect.business.niederschrift.entity.Niederschrift;
import de.ivu.elect.business.niederschrift.entity.NiederschriftArt;

public class NiederschriftCreate extends AbstractNiederschriftCreate {

  @Inject
  private WahldurchfuehrungsgebietDAO wahldurchfuehrungsgebietDAO;

  public void createForWahldurchfuehrungsgebiet(Wahldurchfuehrungsgebiet wahldurchfuehrungsgebiet) {
    for (NiederschriftArt niederschriftArt : NiederschriftArt.values()) {
      Niederschrift niederschrift = new Niederschrift();
      niederschrift.setNiederschriftArt(niederschriftArt);
      niederschrift.setWahldurchfuehrungsgebiet(attach(wahldurchfuehrungsgebiet));

      save(niederschrift);
    }
  }

  private Wahldurchfuehrungsgebiet attach(Wahldurchfuehrungsgebiet wahldurchfuehrungsgebiet) {
    return wahldurchfuehrungsgebietDAO.attach(wahldurchfuehrungsgebiet);
  }

}
